package com.gic.haoban.manage.service.entity.role;

import java.io.Serializable;
import java.util.Date;

/**
 * 好办小程序权限菜单(TabHaobanRoleMenu)实体类
 *
 * @author mozhu
 * @since 2022-09-09 11:36:06
 */
public class TabHaobanRoleMenu implements Serializable {
    private static final long serialVersionUID = 156396006594630056L;

    private Long roleMenuId;
    /**
     * 权限id
     */
    private Long roleId;

    private String wxEnterpriseId;
    /**
     * 菜单id
     */
    private String menuCode;
    /**
     * 1:正常;0:删除
     */
    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getRoleMenuId() {
        return roleMenuId;
    }

    public void setRoleMenuId(Long roleMenuId) {
        this.roleMenuId = roleMenuId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

}

